Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter.rpl
Class CompilerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  uchicago.src.sim.parameter.rpl.CompilerException

All Implemented Interfaces:
  java.io.Serializable

    public class CompilerException

extends java.lang.RuntimeException

Exception thrown by the RPLCompiler.

Version:
  $Revision: 1.2 $ $Date: 2003/04/10 15:57:47 $
See Also:
  Serialized Form

Constructor Summary
`CompilerException(java.lang.String message)`
`CompilerException(java.lang.String message, java.lang.Exception ex)`

Method Summary
`java.lang.String` | `getMessage()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`
`void` | `printStackTrace(java.io.PrintWriter w)`
`void` | `printSuperStackTrace()` Because of the way Throwable works we need an explicit method for getting the actual stack trace.
`void` | `resetMessage(java.lang.String message)`
`void` | `setCode(java.lang.String code)`
`void` | `setFileName(java.lang.String file)`
`void` | `setLine(int line)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompilerException

    public CompilerException(java.lang.String message,
                             java.lang.Exception ex)

### CompilerException

    public CompilerException(java.lang.String message)

Method Detail

### resetMessage

    public void resetMessage(java.lang.String message)

### setLine

    public void setLine(int line)

### setCode

    public void setCode(java.lang.String code)

### setFileName

    public void setFileName(java.lang.String file)

### printSuperStackTrace

    public void printSuperStackTrace()

  Because of the way Throwable works we need an explicit method for getting the actual stack trace.

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter w)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD